Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 3989)
@@ -72,6 +72,4 @@
    LOGICAL, PUBLIC ::   lzoom_s    =  .FALSE.   !: South zoom type flag
    LOGICAL, PUBLIC ::   lzoom_n    =  .FALSE.   !: North zoom type flag
-   LOGICAL, PUBLIC ::   lzoom_arct =  .FALSE.   !: ORCA    arctic zoom flag
-   LOGICAL, PUBLIC ::   lzoom_anta =  .FALSE.   !: ORCA antarctic zoom flag
 
    !                                     !!! domain parameters linked to mpp
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 3989)
@@ -168,19 +168,23 @@
          SELECT CASE ( jp_cfg )
          CASE ( 2 )                               !  ORCA_R2 configuration
-            IF(  jpiglo  == 142    .AND. jpjglo  ==  53 .AND.   &
-               & jpizoom ==  21    .AND. jpjzoom ==  97         )   lzoom_arct = .TRUE.
-            IF(  jpiglo  == jpidta .AND. jpjglo  ==  50 .AND.   &
-               & jpizoom ==   1    .AND. jpjzoom ==   1         )   lzoom_anta = .TRUE.
+            IF(  cp_cfz == "arctic"    .AND. jpiglo  == 142    .AND. jpjglo  ==  53 .AND.   &
+               & jpizoom ==  21    .AND. jpjzoom ==  97         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: arctic zoom '
+            ENDIF
+            IF(  cp_cfz == "antarctic" .AND. jpiglo  == jpidta .AND. jpjglo  ==  50 .AND.   &
+               & jpizoom ==   1    .AND. jpjzoom ==   1         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic zoom '
+            ENDIF
             !                             
          CASE ( 05 )                              !  ORCA_R05 configuration
-            IF(  jpiglo  == 562    .AND. jpjglo  == 202 .AND.   &
-               & jpizoom ==  81    .AND. jpjzoom == 301         )   lzoom_arct = .TRUE.
-            IF(  jpiglo  == jpidta .AND. jpjglo  == 187 .AND.   &
-               & jpizoom ==   1    .AND. jpjzoom ==   1         )   lzoom_anta = .TRUE.
+            IF(    cp_cfz == "arctic"    .AND. jpiglo  == 562    .AND. jpjglo  == 202 .AND.   &
+               & jpizoom ==  81    .AND. jpjzoom == 301         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: arctic zoom '
+            ENDIF
+            IF(    cp_cfz == "antarctic" .AND. jpiglo  == jpidta .AND. jpjglo  == 187 .AND.   &
+               & jpizoom ==   1    .AND. jpjzoom ==   1         )   THEN
+              IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic zoom '
+            ENDIF
          END SELECT
-         !
-         IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic/arctic zoom flags : '
-         IF(lwp) WRITE(numout,*) '             lzoom_arct = ', lzoom_arct, ' (T=   arctic zoom, F=global)'
-         IF(lwp) WRITE(numout,*) '             lzoom_anta = ', lzoom_anta, ' (T=antarctic zoom, F=global)'
          !
       ENDIF
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 3989)
@@ -564,5 +564,5 @@
       ! Configuration specific domain modifications
       ! (here, ORCA arctic configuration: suppress Med Sea)
-      IF( cp_cfg == "orca" .AND. lzoom_arct ) THEN
+      IF( cp_cfg == "orca" .AND. cp_cfz == "arctic" ) THEN
          SELECT CASE ( jp_cfg )
          !                                        ! =======================
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_antarctic.h90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_antarctic.h90	(revision 3973)
+++ 	(revision )
@@ -1,43 +1,0 @@
-   !!----------------------------------------------------------------------
-   !!  ldfdyn_antarctic.h90        2D (i,j) antarctic zoom viscosity coeff.
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-!
-! 1.2 Modify ahm
-! --------------
- 
-      IF(lwp)WRITE(numout,*) ' inildf: Antarctic ocean'
-      IF(lwp)WRITE(numout,*) '         no tropics, no reduction of ahm'
-      IF(lwp)WRITE(numout,*) '         north boundary increase'
-
-      ahm1(:,:) = ahm0
-      ahm2(:,:) = ahm0
-
-      ijpt0=max(1,min(49 -njmpp+1,jpj))
-      ijpt1=max(0,min(49-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*2.
-         ahm1(:,jj)=ahm0*2.
-      END DO
-      ijpt0=max(1,min(48 -njmpp+1,jpj))
-      ijpt1=max(0,min(48-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*1.9
-         ahm1(:,jj)=ahm0*1.75
-      END DO
-      ijpt0=max(1,min(47 -njmpp+1,jpj))
-      ijpt1=max(0,min(47-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*1.5
-         ahm1(:,jj)=ahm0*1.25
-      END DO
-      ijpt0=max(1,min(46 -njmpp+1,jpj))
-      ijpt1=max(0,min(46-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*1.1
-      END DO
-C
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_arctic.h90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_arctic.h90	(revision 3973)
+++ 	(revision )
@@ -1,43 +1,0 @@
-   !!----------------------------------------------------------------------
-   !!  ldftra_arctic.h90              2D (i,j) arctic zoom viscosity coeff.
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
-! 1.2 Modify ahm 
-! --------------
-      IF(lwp)WRITE(numout,*) ' inildf: Arctic ocean'
-      IF(lwp)WRITE(numout,*) '         no tropics, no reduction of ahm'
-      IF(lwp)WRITE(numout,*) '         south and west boundary increase'
-
-
-      ahm1(:,:) = ahm0
-      ahm2(:,:) = ahm0
-
-      ijpt0=max(1,min(98-jpjzoom+1-njmpp+1,jpj))
-      ijpt1=max(0,min(98-jpjzoom+1-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*2.
-         ahm1(:,jj)=ahm0*2.
-      END DO
-      ijpt0=max(1,min(99-jpjzoom+1-njmpp+1,jpj))
-      ijpt1=max(0,min(99-jpjzoom+1-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*1.9
-         ahm1(:,jj)=ahm0*1.75
-      END DO
-      ijpt0=max(1,min(100-jpjzoom+1-njmpp+1,jpj))
-      ijpt1=max(0,min(100-jpjzoom+1-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*1.5
-         ahm1(:,jj)=ahm0*1.25
-      END DO
-      ijpt0=max(1,min(101-jpjzoom+1-njmpp+1,jpj))
-      ijpt1=max(0,min(101-jpjzoom+1-njmpp+1,jpj-1))
-      DO jj=ijpt0,ijpt1
-         ahm2(:,jj)=ahm0*1.1
-      END DO
-
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c2d.h90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c2d.h90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c2d.h90	(revision 3989)
@@ -160,107 +160,172 @@
       IF(lwp) WRITE(numout,*) '        orca ocean configuration'
 
-#if defined key_antarctic
-#     include "ldfdyn_antarctic.h90"
-#elif defined key_arctic
-#     include "ldfdyn_arctic.h90"
-#else
-      ! Read 2d integer array to specify western boundary increase in the
-      ! ===================== equatorial strip (20N-20S) defined at t-points
-
-      CALL ctl_opn( inum, 'ahmcoef', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
-      READ(inum,9101) clexp, iim, ijm
-      READ(inum,'(/)')
-      ifreq = 40
-      il1 = 1
-      DO jn = 1, jpidta/ifreq+1
+      IF( cp_cfg == "orca" .AND. cp_cfz == "antarctic" ) THEN
+!
+! 1.2 Modify ahm
+! --------------
+         IF(lwp)WRITE(numout,*) ' inildf: Antarctic ocean'
+         IF(lwp)WRITE(numout,*) '         no tropics, no reduction of ahm'
+         IF(lwp)WRITE(numout,*) '         north boundary increase'
+
+         ahm1(:,:) = ahm0
+         ahm2(:,:) = ahm0
+
+         ijpt0=max(1,min(49 -njmpp+1,jpj))
+         ijpt1=max(0,min(49-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*2.
+            ahm1(:,jj)=ahm0*2.
+         END DO
+         ijpt0=max(1,min(48 -njmpp+1,jpj))
+         ijpt1=max(0,min(48-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.9
+            ahm1(:,jj)=ahm0*1.75
+         END DO
+         ijpt0=max(1,min(47 -njmpp+1,jpj))
+         ijpt1=max(0,min(47-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.5
+            ahm1(:,jj)=ahm0*1.25
+         END DO
+         ijpt0=max(1,min(46 -njmpp+1,jpj))
+         ijpt1=max(0,min(46-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.1
+         END DO
+
+      ELSE IF( cp_cfg == "orca" .AND. cp_cfz == "arctic" ) THEN
+! 1.2 Modify ahm 
+! --------------
+         IF(lwp)WRITE(numout,*) ' inildf: Arctic ocean'
+         IF(lwp)WRITE(numout,*) '         no tropics, no reduction of ahm'
+         IF(lwp)WRITE(numout,*) '         south and west boundary increase'
+
+
+         ahm1(:,:) = ahm0
+         ahm2(:,:) = ahm0
+
+         ijpt0=max(1,min(98-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(98-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*2.
+            ahm1(:,jj)=ahm0*2.
+         END DO
+         ijpt0=max(1,min(99-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(99-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.9
+            ahm1(:,jj)=ahm0*1.75
+         END DO
+         ijpt0=max(1,min(100-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(100-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.5
+            ahm1(:,jj)=ahm0*1.25
+         END DO
+         ijpt0=max(1,min(101-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(101-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.1
+         END DO
+      ELSE
+         ! Read 2d integer array to specify western boundary increase in the
+         ! ===================== equatorial strip (20N-20S) defined at t-points
+         
+         CALL ctl_opn( inum, 'ahmcoef', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
+         READ(inum,9101) clexp, iim, ijm
          READ(inum,'(/)')
-         il2 = MIN( jpidta, il1+ifreq-1 )
-         READ(inum,9201) ( ii, ji = il1, il2, 5 )
-         READ(inum,'(/)')
-         DO jj = jpjdta, 1, -1
-            READ(inum,9202) ij, ( idata(ji,jj), ji = il1, il2 )
-         END DO
-         il1 = il1 + ifreq
-      END DO
-      
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            icof(ji,jj) = idata( mig(ji), mjg(jj) )
-         END DO
-      END DO
-      DO jj = nlcj+1, jpj
-         DO ji = 1, nlci
-            icof(ji,jj) = icof(ji,nlcj)
-         END DO
-      END DO
-      DO jj = 1, jpj
-         DO ji = nlci+1, jpi
-            icof(ji,jj) = icof(nlci,jj)
-         END DO
-      END DO
-
- 9101 FORMAT(1x,a15,2i8)
- 9201 FORMAT(3x,13(i3,12x))
- 9202 FORMAT(i3,41i3)
-
-
-      ! Set ahm1 and ahm2  ( T- and F- points) (used for laplacian operator)
-      ! =================
-      ! define ahm1 and ahm2 at the right grid point position
-      ! (USER: modify ahm1 and ahm2 following your desiderata)
-      
-      
-      ! Decrease ahm to zahmeq m2/s in the tropics
-      ! (from 90 to 20 degre: ahm = constant
-      ! from 20 to  2.5 degre: ahm = decrease in (1-cos)/2
-      ! from  2.5 to  0 degre: ahm = constant
-      ! symmetric in the south hemisphere)
-
-      zahmeq = aht0
-      
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            IF( ABS( gphif(ji,jj) ) >= 20. ) THEN
-               ahm2(ji,jj) =  ahm0
-            ELSEIF( ABS( gphif(ji,jj) ) <= 2.5 ) THEN
-               ahm2(ji,jj) =  zahmeq
-            ELSE
-               ahm2(ji,jj) = zahmeq + (ahm0-zahmeq)/2.   &
-                  * ( 1. - COS( rad * ( ABS(gphif(ji,jj))-2.5 ) * 180. / 17.5 ) )
-            ENDIF
-            IF( ABS( gphit(ji,jj) ) >= 20. ) THEN
-               ahm1(ji,jj) =  ahm0
-            ELSEIF( ABS( gphit(ji,jj) ) <= 2.5 ) THEN
-               ahm1(ji,jj) =  zahmeq
-            ELSE
-               ahm1(ji,jj) = zahmeq + (ahm0-zahmeq)/2.   &
-                  * ( 1. - COS( rad * ( ABS(gphit(ji,jj))-2.5 ) * 180. / 17.5 ) )
-            ENDIF
-         END DO
-      END DO
-
-      ! increase along western boundaries of equatorial strip
-      ! t-point
-      DO jj = 1, jpjm1
-         DO ji = 1, jpim1
-            zcoft = FLOAT( icof(ji,jj) ) / 100.
-            ahm1(ji,jj) = zcoft * ahm0 + (1.-zcoft) * ahm1(ji,jj) 
-         END DO
-      END DO
-      ! f-point
-      icof(:,:) = icof(:,:) * tmask(:,:,1)
-      DO jj = 1, jpjm1
-         DO ji = 1, jpim1   ! NO vector opt.
-            zmsk = tmask(ji,jj+1,1) + tmask(ji+1,jj+1,1) + tmask(ji,jj,1) + tmask(ji,jj+1,1)
-            IF( zmsk == 0. ) THEN
-               zcoff = 1.
-            ELSE
-               zcoff = FLOAT( icof(ji,jj+1) + icof(ji+1,jj+1) + icof(ji,jj) + icof(ji,jj+1) )   &
+         ifreq = 40
+         il1 = 1
+         DO jn = 1, jpidta/ifreq+1
+            READ(inum,'(/)')
+            il2 = MIN( jpidta, il1+ifreq-1 )
+            READ(inum,9201) ( ii, ji = il1, il2, 5 )
+            READ(inum,'(/)')
+            DO jj = jpjdta, 1, -1
+               READ(inum,9202) ij, ( idata(ji,jj), ji = il1, il2 )
+            END DO
+            il1 = il1 + ifreq
+         END DO
+
+         DO jj = 1, nlcj
+            DO ji = 1, nlci
+               icof(ji,jj) = idata( mig(ji), mjg(jj) )
+            END DO
+         END DO
+         DO jj = nlcj+1, jpj
+            DO ji = 1, nlci
+               icof(ji,jj) = icof(ji,nlcj)
+            END DO
+         END DO
+         DO jj = 1, jpj
+            DO ji = nlci+1, jpi
+               icof(ji,jj) = icof(nlci,jj)
+            END DO
+         END DO
+
+9101     FORMAT(1x,a15,2i8)
+9201     FORMAT(3x,13(i3,12x))
+9202     FORMAT(i3,41i3)
+
+
+         ! Set ahm1 and ahm2  ( T- and F- points) (used for laplacian operator)
+         ! =================
+         ! define ahm1 and ahm2 at the right grid point position
+         ! (USER: modify ahm1 and ahm2 following your desiderata)
+
+
+         ! Decrease ahm to zahmeq m2/s in the tropics
+         ! (from 90 to 20 degre: ahm = constant
+         ! from 20 to  2.5 degre: ahm = decrease in (1-cos)/2
+         ! from  2.5 to  0 degre: ahm = constant
+         ! symmetric in the south hemisphere)
+
+         zahmeq = aht0
+
+         DO jj = 1, jpj
+            DO ji = 1, jpi
+               IF( ABS( gphif(ji,jj) ) >= 20. ) THEN
+                  ahm2(ji,jj) =  ahm0
+               ELSEIF( ABS( gphif(ji,jj) ) <= 2.5 ) THEN
+                  ahm2(ji,jj) =  zahmeq
+               ELSE
+                  ahm2(ji,jj) = zahmeq + (ahm0-zahmeq)/2.   &
+                     * ( 1. - COS( rad * ( ABS(gphif(ji,jj))-2.5 ) * 180. / 17.5 ) )
+               ENDIF
+               IF( ABS( gphit(ji,jj) ) >= 20. ) THEN
+                  ahm1(ji,jj) =  ahm0
+               ELSEIF( ABS( gphit(ji,jj) ) <= 2.5 ) THEN
+                  ahm1(ji,jj) =  zahmeq
+               ELSE
+                  ahm1(ji,jj) = zahmeq + (ahm0-zahmeq)/2.   &
+                     * ( 1. - COS( rad * ( ABS(gphit(ji,jj))-2.5 ) * 180. / 17.5 ) )
+               ENDIF
+            END DO
+         END DO
+
+         ! increase along western boundaries of equatorial strip
+         ! t-point
+         DO jj = 1, jpjm1
+            DO ji = 1, jpim1
+               zcoft = FLOAT( icof(ji,jj) ) / 100.
+               ahm1(ji,jj) = zcoft * ahm0 + (1.-zcoft) * ahm1(ji,jj) 
+            END DO
+         END DO
+         ! f-point
+         icof(:,:) = icof(:,:) * tmask(:,:,1)
+         DO jj = 1, jpjm1
+            DO ji = 1, jpim1   ! NO vector opt.
+               zmsk = tmask(ji,jj+1,1) + tmask(ji+1,jj+1,1) + tmask(ji,jj,1) + tmask(ji,jj+1,1)
+               IF( zmsk == 0. ) THEN
+                  zcoff = 1.
+               ELSE
+                  zcoff = FLOAT( icof(ji,jj+1) + icof(ji+1,jj+1) + icof(ji,jj) + icof(ji,jj+1) )   &
                      / (zmsk * 100.)
-            ENDIF
-            ahm2(ji,jj) = zcoff * ahm0 + (1.-zcoff) * ahm2(ji,jj)
-         END DO
-      END DO
-#endif
+               ENDIF
+               ahm2(ji,jj) = zcoff * ahm0 + (1.-zcoff) * ahm2(ji,jj)
+            END DO
+         END DO
+      ENDIF
       
       ! Lateral boundary conditions on ( ahm1, ahm2 )
@@ -323,114 +388,180 @@
       IF(lwp) WRITE(numout,*) '        orca_r1 configuration'
 
-#if defined key_antarctic
-#     include "ldfdyn_antarctic.h90"
-#elif defined key_arctic
-#     include "ldfdyn_arctic.h90"
-#else
-      ! Read 2d integer array to specify western boundary increase in the
-      ! ===================== equatorial strip (20N-20S) defined at t-points
-
-      CALL ctl_opn( inum, 'ahmcoef', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL',   &
-         &           1, numout, lwp )
-      REWIND inum
-      READ(inum,9101) clexp, iim, ijm
-      READ(inum,'(/)')
-      ifreq = 40
-      il1 = 1
-      DO jn = 1, jpidta/ifreq+1
+      IF( cp_cfg == "orca" .AND. cp_cfz == "antarctic" ) THEN
+!
+! 1.2 Modify ahm
+! --------------
+         IF(lwp)WRITE(numout,*) ' inildf: Antarctic ocean'
+         IF(lwp)WRITE(numout,*) '         no tropics, no reduction of ahm'
+         IF(lwp)WRITE(numout,*) '         north boundary increase'
+
+         ahm1(:,:) = ahm0
+         ahm2(:,:) = ahm0
+
+         ijpt0=max(1,min(49 -njmpp+1,jpj))
+         ijpt1=max(0,min(49-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*2.
+            ahm1(:,jj)=ahm0*2.
+         END DO
+         ijpt0=max(1,min(48 -njmpp+1,jpj))
+         ijpt1=max(0,min(48-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.9
+            ahm1(:,jj)=ahm0*1.75
+         END DO
+         ijpt0=max(1,min(47 -njmpp+1,jpj))
+         ijpt1=max(0,min(47-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.5
+            ahm1(:,jj)=ahm0*1.25
+         END DO
+         ijpt0=max(1,min(46 -njmpp+1,jpj))
+         ijpt1=max(0,min(46-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.1
+         END DO
+
+      ELSE IF( cp_cfg == "orca" .AND. cp_cfz == "arctic" ) THEN
+! 1.2 Modify ahm 
+! --------------
+         IF(lwp)WRITE(numout,*) ' inildf: Arctic ocean'
+         IF(lwp)WRITE(numout,*) '         no tropics, no reduction of ahm'
+         IF(lwp)WRITE(numout,*) '         south and west boundary increase'
+
+
+         ahm1(:,:) = ahm0
+         ahm2(:,:) = ahm0
+
+         ijpt0=max(1,min(98-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(98-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*2.
+            ahm1(:,jj)=ahm0*2.
+         END DO
+         ijpt0=max(1,min(99-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(99-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.9
+            ahm1(:,jj)=ahm0*1.75
+         END DO
+         ijpt0=max(1,min(100-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(100-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.5
+            ahm1(:,jj)=ahm0*1.25
+         END DO
+         ijpt0=max(1,min(101-jpjzoom+1-njmpp+1,jpj))
+         ijpt1=max(0,min(101-jpjzoom+1-njmpp+1,jpj-1))
+         DO jj=ijpt0,ijpt1
+            ahm2(:,jj)=ahm0*1.1
+         END DO
+      ELSE
+         
+         ! Read 2d integer array to specify western boundary increase in the
+         ! ===================== equatorial strip (20N-20S) defined at t-points
+         
+         CALL ctl_opn( inum, 'ahmcoef', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL',   &
+            &           1, numout, lwp )
+         REWIND inum
+         READ(inum,9101) clexp, iim, ijm
          READ(inum,'(/)')
-         il2 = MIN( jpidta, il1+ifreq-1 )
-         READ(inum,9201) ( ii, ji = il1, il2, 5 )
-         READ(inum,'(/)')
-         DO jj = jpjdta, 1, -1
-            READ(inum,9202) ij, ( idata(ji,jj), ji = il1, il2 )
-         END DO
-         il1 = il1 + ifreq
-      END DO
-      
-      DO jj = 1, nlcj
-         DO ji = 1, nlci
-            icof(ji,jj) = idata( mig(ji), mjg(jj) )
-         END DO
-      END DO
-      DO jj = nlcj+1, jpj
-         DO ji = 1, nlci
-            icof(ji,jj) = icof(ji,nlcj)
-         END DO
-      END DO
-      DO jj = 1, jpj
-         DO ji = nlci+1, jpi
-            icof(ji,jj) = icof(nlci,jj)
-         END DO
-      END DO
-
- 9101 FORMAT(1x,a15,2i8)
- 9201 FORMAT(3x,13(i3,12x))
- 9202 FORMAT(i3,41i3)
-
-
-      ! Set ahm1 and ahm2  ( T- and F- points) (used for laplacian operator)
-      ! =================
-      ! define ahm1 and ahm2 at the right grid point position
-      ! (USER: modify ahm1 and ahm2 following your desiderata)
-      
-      
-      ! Decrease ahm to zahmeq m2/s in the tropics
-      ! (from 90   to 20   degrees: ahm = scaled by local metrics
-      !  from 20   to  2.5 degrees: ahm = decrease in (1-cos)/2
-      !  from  2.5 to  0   degrees: ahm = constant
-      ! symmetric in the south hemisphere)
-
-      zahmeq = aht0
-      zam20s = ahm0*COS( rad * 20. )
-      
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            IF( ABS( gphif(ji,jj) ) >= 20. ) THEN
-!              leave as set in ldf_dyn_c2d
-            ELSEIF( ABS( gphif(ji,jj) ) <= 2.5 ) THEN
-               ahm2(ji,jj) =  zahmeq
-            ELSE
-               ahm2(ji,jj) =  zahmeq + (zam20s-zahmeq)/2.   &
-                  * ( 1. - COS( rad * ( ABS(gphif(ji,jj))-2.5 ) * 180. / 17.5 ) )
-            ENDIF
-            IF( ABS( gphit(ji,jj) ) >= 20. ) THEN
-!             leave as set in ldf_dyn_c2d
-            ELSEIF( ABS( gphit(ji,jj) ) <= 2.5 ) THEN
-               ahm1(ji,jj) =  zahmeq
-            ELSE
-               ahm1(ji,jj) =  zahmeq + (zam20s-zahmeq)/2.   &
-                  * ( 1. - COS( rad * ( ABS(gphit(ji,jj))-2.5 ) * 180. / 17.5 ) )
-            ENDIF
-         END DO
-      END DO
-
-      ! increase along western boundaries of equatorial strip
-      ! t-point
-      DO jj = 1, jpjm1
-         DO ji = 1, jpim1
-          IF( ABS( gphit(ji,jj) ) < 20. ) THEN
-            zcoft = FLOAT( icof(ji,jj) ) / 100.
-            ahm1(ji,jj) = zcoft * ahm0 + (1.-zcoft) * ahm1(ji,jj) 
-          ENDIF
-         END DO
-      END DO
-      ! f-point
-      icof(:,:) = icof(:,:) * tmask(:,:,1)
-      DO jj = 1, jpjm1
-         DO ji = 1, jpim1
-          IF( ABS( gphif(ji,jj) ) < 20. ) THEN
-            zmsk = tmask(ji,jj+1,1) + tmask(ji+1,jj+1,1) + tmask(ji,jj,1) + tmask(ji,jj+1,1)
-            IF( zmsk == 0. ) THEN
-               zcoff = 1.
-            ELSE
-               zcoff = FLOAT( icof(ji,jj+1) + icof(ji+1,jj+1) + icof(ji,jj) + icof(ji,jj+1) )   &
-                     / (zmsk * 100.)
-            ENDIF
-            ahm2(ji,jj) = zcoff * ahm0 + (1.-zcoff) * ahm2(ji,jj)
-          ENDIF
-         END DO
-      END DO
-#endif
+         ifreq = 40
+         il1 = 1
+         DO jn = 1, jpidta/ifreq+1
+            READ(inum,'(/)')
+            il2 = MIN( jpidta, il1+ifreq-1 )
+            READ(inum,9201) ( ii, ji = il1, il2, 5 )
+            READ(inum,'(/)')
+            DO jj = jpjdta, 1, -1
+               READ(inum,9202) ij, ( idata(ji,jj), ji = il1, il2 )
+            END DO
+            il1 = il1 + ifreq
+         END DO
+
+         DO jj = 1, nlcj
+            DO ji = 1, nlci
+               icof(ji,jj) = idata( mig(ji), mjg(jj) )
+            END DO
+         END DO
+         DO jj = nlcj+1, jpj
+            DO ji = 1, nlci
+               icof(ji,jj) = icof(ji,nlcj)
+            END DO
+         END DO
+         DO jj = 1, jpj
+            DO ji = nlci+1, jpi
+               icof(ji,jj) = icof(nlci,jj)
+            END DO
+         END DO
+
+9101     FORMAT(1x,a15,2i8)
+9201     FORMAT(3x,13(i3,12x))
+9202     FORMAT(i3,41i3)
+
+
+         ! Set ahm1 and ahm2  ( T- and F- points) (used for laplacian operator)
+         ! =================
+         ! define ahm1 and ahm2 at the right grid point position
+         ! (USER: modify ahm1 and ahm2 following your desiderata)
+
+
+         ! Decrease ahm to zahmeq m2/s in the tropics
+         ! (from 90   to 20   degrees: ahm = scaled by local metrics
+         !  from 20   to  2.5 degrees: ahm = decrease in (1-cos)/2
+         !  from  2.5 to  0   degrees: ahm = constant
+         ! symmetric in the south hemisphere)
+
+         zahmeq = aht0
+         zam20s = ahm0*COS( rad * 20. )
+
+         DO jj = 1, jpj
+            DO ji = 1, jpi
+               IF( ABS( gphif(ji,jj) ) >= 20. ) THEN
+                  !              leave as set in ldf_dyn_c2d
+               ELSEIF( ABS( gphif(ji,jj) ) <= 2.5 ) THEN
+                  ahm2(ji,jj) =  zahmeq
+               ELSE
+                  ahm2(ji,jj) =  zahmeq + (zam20s-zahmeq)/2.   &
+                     * ( 1. - COS( rad * ( ABS(gphif(ji,jj))-2.5 ) * 180. / 17.5 ) )
+               ENDIF
+               IF( ABS( gphit(ji,jj) ) >= 20. ) THEN
+                  !             leave as set in ldf_dyn_c2d
+               ELSEIF( ABS( gphit(ji,jj) ) <= 2.5 ) THEN
+                  ahm1(ji,jj) =  zahmeq
+               ELSE
+                  ahm1(ji,jj) =  zahmeq + (zam20s-zahmeq)/2.   &
+                     * ( 1. - COS( rad * ( ABS(gphit(ji,jj))-2.5 ) * 180. / 17.5 ) )
+               ENDIF
+            END DO
+         END DO
+
+         ! increase along western boundaries of equatorial strip
+         ! t-point
+         DO jj = 1, jpjm1
+            DO ji = 1, jpim1
+               IF( ABS( gphit(ji,jj) ) < 20. ) THEN
+                  zcoft = FLOAT( icof(ji,jj) ) / 100.
+                  ahm1(ji,jj) = zcoft * ahm0 + (1.-zcoft) * ahm1(ji,jj) 
+               ENDIF
+            END DO
+         END DO
+         ! f-point
+         icof(:,:) = icof(:,:) * tmask(:,:,1)
+         DO jj = 1, jpjm1
+            DO ji = 1, jpim1
+               IF( ABS( gphif(ji,jj) ) < 20. ) THEN
+                  zmsk = tmask(ji,jj+1,1) + tmask(ji+1,jj+1,1) + tmask(ji,jj,1) + tmask(ji,jj+1,1)
+                  IF( zmsk == 0. ) THEN
+                     zcoff = 1.
+                  ELSE
+                     zcoff = FLOAT( icof(ji,jj+1) + icof(ji+1,jj+1) + icof(ji,jj) + icof(ji,jj+1) )   &
+                        / (zmsk * 100.)
+                  ENDIF
+                  ahm2(ji,jj) = zcoff * ahm0 + (1.-zcoff) * ahm2(ji,jj)
+               ENDIF
+            END DO
+         END DO
+      ENDIF
       
       ! Lateral boundary conditions on ( ahm1, ahm2 )
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 3989)
@@ -303,9 +303,9 @@
 
       !                                           ! ====================================================
-      IF( lzoom_arct .AND. lzoom_anta ) THEN      !  ORCA configuration : arctic zoom or antarctic zoom
+      IF( cp_cfz == "arctic" . OR. cp_cfz == "antarctic" ) THEN   !  ORCA configuration : arctic or antarctic zoom
          !                                        ! ====================================================
          IF(lwp) WRITE(numout,*)
-         IF(lwp .AND. lzoom_arct ) WRITE(numout,*) '              dtacof_zoom : ORCA    Arctic zoom'
-         IF(lwp .AND. lzoom_arct ) WRITE(numout,*) '              dtacof_zoom : ORCA Antarctic zoom'
+         IF(lwp .AND. cp_cfz == "arctic" ) WRITE(numout,*) '              dtacof_zoom : ORCA    Arctic zoom'
+         IF(lwp .AND. cp_cfz == "antarctic" ) WRITE(numout,*) '           dtacof_zoom : ORCA Antarctic zoom'
          IF(lwp) WRITE(numout,*)
          !
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3989)
@@ -228,5 +228,5 @@
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_bench, nn_timing
-      NAMELIST/namcfg/ cp_cfg, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
+      NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
          &             jpizoom, jpjzoom, jperio, jphgr_msh, &
          &             ppglam0, ppgphi0, ppe1_deg, ppe2_deg, ppe1_m, ppe2_m, &
@@ -482,4 +482,5 @@
          WRITE(numout,*) '   Namelist namcfg'
          WRITE(numout,*) '      configuration name              cp_cfg      = ', TRIM(cp_cfg)
+         WRITE(numout,*) '      configuration zoom name         cp_cfz      = ', TRIM(cp_cfz)
          WRITE(numout,*) '      configuration resolution        jp_cfg      = ', jp_cfg
          WRITE(numout,*) '      1st lateral dimension ( >= jpi ) jpidta     = ', jpidta
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 3973)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 3989)
@@ -29,4 +29,5 @@
    !!----------------------------------------------------------------------
    CHARACTER(lc) ::   cp_cfg           !: name of the configuration
+   CHARACTER(lc) ::   cp_cfz           !: name of the zoom of configuration
    INTEGER       ::   jp_cfg           !: resolution of the configuration
 
